local function open_link()
    local util = require("obsidian.util")
    if util.cursor_on_markdown_link(nil, nil, true) then
        vim.cmd("ObsidianFollowLink")
    else
        util.toggle_checkbox()
    end
end

return {
    "epwalsh/obsidian.nvim",
    version = "*",  -- recommended, use latest release instead of latest commit
    ft = "markdown",
    -- Replace the above line with this if you only want to load obsidian.nvim for markdown files in your vault:
    -- event = {
    --   -- If you want to use the home shortcut '~' here you need to call 'vim.fn.expand'.
    --   -- E.g. "BufReadPre " .. vim.fn.expand "~" .. "/my-vault/**.md"
    --   "BufReadPre path/to/my-vault/**.md",
    --   "BufNewFile path/to/my-vault/**.md",
    -- },
    dependencies = { "nvim-lua/plenary.nvim" },
    opts = {
        workspaces = {
            {
                name = "Lumentis",
                path = "~/Workspace/DnD/Lumentis Campaign Setting/",
            },
        },
          disable_frontmatter = true,
    },
    keys = {
        {"<cr>", open_link, ft = "markdown" },
        {"gd", open_link, ft = "markdown" },
        {"<leader>rn", ":ObsidianRename<cr>"},
    },
    detect_cwd = true,
}
